Skip to main content
POST
/
streaming
/
ingests
/
v2
cURL
curl --request POST \
  --url https://api.mottostreaming.com/streaming/ingests/v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "region": "REGION_UNSPECIFIED",
  "passphrase": "<string>",
  "disabled": true,
  "name": "<string>",
  "description": "<string>",
  "pull_url": "<string>"
}
'
{
  "ingest": {
    "region": "REGION_UNSPECIFIED",
    "id": "<string>",
    "project_id": "<string>",
    "key": "<string>",
    "passphrase": "<string>",
    "connected": true,
    "disabled": true,
    "name": "<string>",
    "description": "<string>",
    "pull_url": "<string>",
    "last_update_time": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
region
enum<string>
required
Available options:
REGION_UNSPECIFIED,
REGION_AF,
REGION_AS,
REGION_EU,
REGION_NA,
REGION_OC,
REGION_SA
passphrase
string

For SRT only, this is the passphrase parameter in the URL.

disabled
boolean
name
string
description
string
pull_url
string

Response

OK

Response message for CreateIngest.

ingest
object

The created ingest.